# Uses of Enum
ch.qos.logback.core.joran.action.ActionUtil.Scope

Packages that use ActionUtil.Scope
Package
Description
ch.qos.logback.core.joran.action

## Uses of ActionUtil.Scope in ch.qos.logback.core.joran.action

Methods in ch.qos.logback.core.joran.action that return ActionUtil.Scope
Modifier and Type
Method
Description
`static ActionUtil.Scope`
ActionUtil.`stringToScope(String scopeStr)`
Convert a string into a scope.
`static ActionUtil.Scope`
ActionUtil.Scope.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ActionUtil.Scope[]`
ActionUtil.Scope.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ch.qos.logback.core.joran.action with parameters of type ActionUtil.Scope
Modifier and Type
Method
Description
`static void`
ActionUtil.`setProperties(InterpretationContext ic, Properties props, ActionUtil.Scope scope)`
Add all the properties found in the argument named 'props' to an InterpretationContext.
`static void`
ActionUtil.`setProperty(InterpretationContext ic, String key, String value, ActionUtil.Scope scope)`